Index: sasmodels/models/barbell.py
===================================================================
--- sasmodels/models/barbell.py	(revision eb69cce00f0781ad8f3eec0eb5965a8576d815b5)
+++ sasmodels/models/barbell.py	(revision dcdf29d606cfaa2f3bb9d578ac394c6f167fa360)
@@ -100,20 +100,24 @@
 title = "Cylinder with spherical end caps"
 description = """
-        Calculates the scattering from a barbell-shaped cylinder. That is a sphereocylinder with spherical end caps that have a radius larger than that of the cylinder and the center of the end cap
-        radius lies outside of the cylinder.
-        Note: As the length of cylinder(bar) -->0,it becomes a dumbbell. And when rad_bar = rad_bell, it is a spherocylinder.
-        It must be that rad_bar <(=) rad_bell.
+    Calculates the scattering from a barbell-shaped cylinder.
+    That is a sphereocylinder with spherical end caps that have a radius larger
+    than that of the cylinder and the center of the end cap radius lies outside
+    of the cylinder.
+    Note: As the length of cylinder(bar) -->0,it becomes a dumbbell. And when
+    rad_bar = rad_bell, it is a spherocylinder.
+    It must be that rad_bar <(=) rad_bell.
 """
 category = "shape:cylinder"
-
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["sld", "4e-6/Ang^2", 4, [-inf, inf], "", "Barbell scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "", "Solvent scattering length density"],
-              ["bell_radius", "Ang", 40, [0, inf], "volume", "Spherical bell radius"],
-              ["radius", "Ang", 20, [0, inf], "volume", "Cylindrical bar radius"],
-              ["length", "Ang", 400, [0, inf], "volume", "Cylinder bar length"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation", "In plane angle"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"],
+parameters = [["sld",         "4e-6/Ang^2",   4, [-inf, inf], "",            "Barbell scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2",   1, [-inf, inf], "",            "Solvent scattering length density"],
+              ["bell_radius", "Ang",         40, [0, inf],    "volume",      "Spherical bell radius"],
+              ["radius",      "Ang",         20, [0, inf],    "volume",      "Cylindrical bar radius"],
+              ["length",      "Ang",        400, [0, inf],    "volume",      "Cylinder bar length"],
+              ["theta",       "degrees",     60, [-inf, inf], "orientation", "In plane angle"],
+              ["phi",         "degrees",     60, [-inf, inf], "orientation", "Out of plane angle"],
              ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["lib/J1.c", "lib/gauss76.c", "barbell.c"]
Index: sasmodels/models/bcc.py
===================================================================
--- sasmodels/models/bcc.py	(revision eb69cce00f0781ad8f3eec0eb5965a8576d815b5)
+++ sasmodels/models/bcc.py	(revision dcdf29d606cfaa2f3bb9d578ac394c6f167fa360)
@@ -109,20 +109,23 @@
 title = "Body-centred cubic lattic with paracrystalline distortion"
 description = """
-    Calculates the scattering from a **body-centered cubic lattice** with paracrystalline distortion. Thermal vibrations
-    are considered to be negligible, and the size of the paracrystal is infinitely large. Paracrystalline distortion is
-    assumed to be isotropic and characterized by a Gaussian distribution.
+    Calculates the scattering from a **body-centered cubic lattice** with
+    paracrystalline distortion. Thermal vibrations are considered to be
+    negligible, and the size of the paracrystal is infinitely large.
+    Paracrystalline distortion is assumed to be isotropic and characterized
+    by a Gaussian distribution.
     """
 category = "shape:paracrystal"
-
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description" ],
-parameters = [["dnn", "Ang", 220, [-inf, inf], "", "Nearest neighbour distance"],
-              ["d_factor", "", 0.06, [-inf, inf], "", "Paracrystal distortion factor"],
-              ["radius", "Ang", 40, [0, inf], "volume", "Particle radius"],
-              ["sld", "1e-6/Ang^2", 4, [-inf, inf], "", "Particle scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "", "Solvent scattering length density"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation", "In plane angle"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"],
-              ["psi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"]
+parameters = [["dnn",         "Ang",       220,    [-inf, inf], "",            "Nearest neighbour distance"],
+              ["d_factor",    "",            0.06, [-inf, inf], "",            "Paracrystal distortion factor"],
+              ["radius",      "Ang",        40,    [0, inf],    "volume",      "Particle radius"],
+              ["sld",         "1e-6/Ang^2",  4,    [-inf, inf], "",            "Particle scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2",  1,    [-inf, inf], "",            "Solvent scattering length density"],
+              ["theta",       "degrees",    60,    [-inf, inf], "orientation", "In plane angle"],
+              ["phi",         "degrees",    60,    [-inf, inf], "orientation", "Out of plane angle"],
+              ["psi",         "degrees",    60,    [-inf, inf], "orientation", "Out of plane angle"]
              ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["lib/J1.c", "lib/gauss150.c", "bcc.c"]
Index: sasmodels/models/broad_peak.py
===================================================================
--- sasmodels/models/broad_peak.py	(revision eb69cce00f0781ad8f3eec0eb5965a8576d815b5)
+++ sasmodels/models/broad_peak.py	(revision dcdf29d606cfaa2f3bb9d578ac394c6f167fa360)
@@ -60,14 +60,33 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["porod_scale", "", 1.0e-05, [-inf, inf], "", "Power law scale factor"],
-              ["porod_exp", "", 3.0, [-inf, inf], "", "Exponent of power law"],
-              ["lorentz_scale", "", 10.0, [-inf, inf], "", "Scale factor for broad Lorentzian peak"],
-              ["lorentz_length", "Ang", 50.0, [-inf, inf], "", "Lorentzian screening length"],
-              ["peak_pos", "1/Ang", 0.1, [-inf, inf], "", "Peak postion in q"],
-              ["lorentz_exp", "", 2.0, [-inf, inf], "", "exponent of Lorentz function"],
+parameters = [["porod_scale",    "",  1.0e-05, [-inf, inf], "", "Power law scale factor"],
+              ["porod_exp",      "",      3.0, [-inf, inf], "", "Exponent of power law"],
+              ["lorentz_scale",  "",     10.0, [-inf, inf], "", "Scale factor for broad Lorentzian peak"],
+              ["lorentz_length", "Ang",  50.0, [-inf, inf], "", "Lorentzian screening length"],
+              ["peak_pos",       "1/Ang", 0.1, [-inf, inf], "", "Peak position in q"],
+              ["lorentz_exp",    "",      2.0, [-inf, inf], "", "Exponent of Lorentz function"],
              ]
+# pylint: enable=bad-whitespace, line-too-long
 
-def Iq(q, porod_scale, porod_exp, lorentz_scale, lorentz_length, peak_pos, lorentz_exp):
+def Iq(q,
+       porod_scale=1.0e-5,
+       porod_exp=3.0,
+       lorentz_scale=10.0,
+       lorentz_length=50.0,
+       peak_pos=0.1,
+       lorentz_exp=2.0):
+    """
+    :param q:              Input q-value
+    :param porod_scale:    Power law scale factor
+    :param porod_exp:      Exponent of power law
+    :param lorentz_scale:  Scale factor for broad Lorentzian peak
+    :param lorentz_length: Lorentzian screening length
+    :param peak_pos:       Peak position in q
+    :param lorentz_exp:    Exponent of Lorentz function
+    :return:               Calculated intensity
+    """
+
     inten = (porod_scale / q ** porod_exp + lorentz_scale
              / (1.0 + (abs(q - peak_pos) * lorentz_length) ** lorentz_exp))
@@ -76,7 +95,13 @@
 
 def Iqxy(qx, qy, *args):
+    """
+    :param qx:   Input q_x-value
+    :param qy:   Input q_y-value
+    :param args: Remaining arguments
+    :return:     2D-Intensity
+    """
     return Iq(sqrt(qx ** 2 + qy ** 2), *args)
+
 Iqxy.vectorized = True # Iqxy accepts an array of qx, qy values
-
 
 demo = dict(scale=1, background=0,
Index: sasmodels/models/capped_cylinder.py
===================================================================
--- sasmodels/models/capped_cylinder.py	(revision eb69cce00f0781ad8f3eec0eb5965a8576d815b5)
+++ sasmodels/models/capped_cylinder.py	(revision dcdf29d606cfaa2f3bb9d578ac394c6f167fa360)
@@ -125,11 +125,10 @@
 """
 category = "shape:cylinder"
+# pylint: disable=bad-whitespace, line-too-long
+#             ["name", "units", default, [lower, upper], "type", "description"],
+parameters = [["sld",         "1e-6/Ang^2", 4, [-inf, inf], "",       "Cylinder scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "",       "Solvent scattering length density"],
+              ["radius",      "Ang",       20, [0, inf],    "volume", "Cylinder radius"],
 
-#             ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
-               "Cylinder scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "",
-               "Solvent scattering length density"],
-              ["radius", "Ang", 20, [0, inf], "volume", "Cylinder radius"],
               # TODO: use an expression for cap radius with fixed bounds.
               # The current form requires cap radius R bigger than cylinder radius r.
@@ -141,9 +140,10 @@
               # in the capped cylinder, and zero for no bar in the barbell model.  In
               # both models, one would be a pill.
-              ["cap_radius", "Ang", 20, [0, inf], "volume", "Cap radius"],
-              ["length", "Ang", 400, [0, inf], "volume", "Cylinder length"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation", "In plane angle"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"],
+              ["cap_radius", "Ang",     20, [0, inf],    "volume", "Cap radius"],
+              ["length",     "Ang",    400, [0, inf],    "volume", "Cylinder length"],
+              ["theta",      "degrees", 60, [-inf, inf], "orientation", "In plane angle"],
+              ["phi",        "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"],
              ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["lib/J1.c", "lib/gauss76.c", "capped_cylinder.c"]
@@ -159,4 +159,7 @@
             phi_pd=15, phi_pd_n=1)
 oldname = 'CappedCylinderModel'
-oldpars = dict(sld='sld_capcyl', solvent_sld='sld_solv',
-               length='len_cyl', radius='rad_cyl', cap_radius='rad_cap')
+oldpars = dict(sld='sld_capcyl',
+               solvent_sld='sld_solv',
+               length='len_cyl',
+               radius='rad_cyl',
+               cap_radius='rad_cap')
